Shadow Copies of Shared Folders

Shadow Copies of Shared Folders provides point-in-time copies of files that are located on shared resources, such as a file server. With Shadow Copies of Shared Folders, you can view shared files and folders as they existed at points of time in the past.

You can use shadow copies when you want to recover files that were accidentally deleted or overwritten, as well as to compare different versions of files.

  • Before deploying Shadow Copies of Shared Folders, see Checklist: Deploying Shadow Copies of Shared Folders.
  • For tips on using Shadow Copies of Shared Folders, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving information, see Troubleshooting.


Checklist: Deploying Shadow Copies of Shared Folders

Step | Reference
Review key concepts. | Shadow Copies of Shared Folders overview
Create shared resources. | To share a drive or folder on the network
Decide where to store the shadow copies. | Determining storage options for shadow copies
Determine the best schedule for taking shadow copies. | Defining a schedule for shadow copies
Enable Shadow Copies of Shared Folders on a volume. | To enable Shadow Copies of Shared Folders
Deploy the client software. | Deploying the client software for shadow copies


Best practices

Select a separate volume on another disk as the storage area for shadow copies.

  • Select a storage area on a volume that is not being shadow copied. Using a separate volume on another disk provides two advantages. First, it eliminates the possibility that high I/O load will cause shadow copies to be deleted. Second, this configuration provides better performance. This is the recommended configuration for heavily used file servers.

    • For more information, see To change the settings for Shadow Copies of Shared Folders.

Consider how your clients will be using a shared resource before you enable Shadow Copies of Shared Folders and set scheduling options.

  • Adjust the shadow copy schedule to fit the work patterns of your clients.

    For more information about scheduling shadow copies, see Defining a schedule for shadow copies.

Do not enable shadow copies on volumes that use mount points.

  • The mounted drive will not be included when shadow copies are taken. Enable shadow copies only on volumes without mount points or when you do not want the shared resources on the mounted volume to be shadow copied.

    • For more information, see Using NTFS mounted drives.

Do not enable shadow copies on dual-booting computers.

  • If you have enabled dual-booting into previous versions of Windows (such as Windows NT 4.0), the shadow copies which persist while restarting the older version might be corrupted and unusable when the computer is started again with Windows Server 2003.

Use Backup to perform regular backups of your file server.

  • Shadow Copies of Shared Folders is not a replacement for performing regular backups. Use a backup utility in coordination with Shadow Copies of Shared Folders as your best preparation for restoring.

    • For more information, see Backing up and restoring data.

Do not schedule copies to occur more often than once per hour.

  • The default schedule is 7:00 A.M. and 12:00 noon, Monday through Friday. If you decide that you need copies to be taken more often, verify that you have allotted enough storage space and that you do not take copies so often that server performance degrades. There is also an upper limit of 64 copies per volume that can be stored before the oldest copy is deleted. If shadow copies are taken too often, this limit might be reached very quickly, and older copies could be lost at a rapid rate.

    • For more information, see Defining a schedule for shadow copies.

Before deleting a volume that is being shadow copied, delete the scheduled task for creating shadow copies.

  • If the volume is deleted without deleting the shadow copy task, the scheduled task will fail and an Event ID: 7001 error will be written to the event log. Delete the task before deleting the volume to avoid filling the event log with these errors.

    • For more information, see To change the schedule for creating shadow copies.

Use an allocation unit size of 16 kilobytes (KB) or larger when formatting a source volume on which Shadow Copies of Shared Folders will be enabled.

  • If you plan to defragment the source volume on which Shadow Copies of Shared Folders is enabled, it is recommended that you set the cluster allocation unit size to be 16 KB or larger when you initially format the source volume. If you do not, the number of changes caused by defragmentation can cause previous versions of files to be deleted.
  • If you require NTFS file compression on the source volume, you cannot use an allocation unit size larger than 4 KB. In this case, when you defragment a volume that is very fragmented, you may lose older shadow copies faster than expected.

    • For more information about formatting a volume, see To format a basic volume.


How to...

  • Enable Shadow Copies of Shared Folders
  • Change the settings for Shadow Copies of Shared Folders
  • Change the schedule for creating shadow copies
  • Delete a shadow copy
  • Disable Shadow Copies of Shared Folders


Enable Shadow Copies of Shared Folders

Microsoft Windows Graphic

To enable Shadow Copies of Shared Folders

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, select All Tasks, and click Configure Shadow Copies.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
  3. Click the volume where you want to enable Shadow Copies of Shared Folders, and then click Enable.

Notes

  • XOX
  • XOX
  • For information about enabling shadow copies in a server cluster, see To create Shadow Copies of Shared Folders in a cluster. Do not use Cluster Administrator or cluster.exe to make changes to the settings or schedule for shadow copies of shared folders, use the shadow copies interface.
  • You can also access Shadow Copies of Shared Folders by right-clicking a fixed NTFS volume in My Computer or in the Disk Management snap-in details pane (in Computer Management). Click Properties, and then click the Shadow Copies tab.
  • You can use the Disk Management snap-in to manage Shadow Copies of Shared Folders on remote servers as well. In the Computer Management console tree, right-click Disk Management, point to All Tasks, and then click Configure Shadow Copies.
  • By enabling Shadow Copies of Shared Folders, you also create a default schedule and settings for subsequent shadow copies. To make changes to these defaults, click Settings.
  • You can only enable Shadow Copies of Shared Folders on a per-volume basis; that is, you cannot select specific shared folders and files on a volume to be copied or not copied.

Related Topics


Change the settings for Shadow Copies of Shared Folders

Microsoft Windows Graphic

To change the settings for Shadow Copies of Shared Folders

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, select All Tasks, and click Configure Shadow Copies.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
  3. Click the volume where you want to make changes, and then click Settings.
  4. In the Settings dialog box, change the settings as appropriate.

Notes

  • XOX
  • XOX
  • XOX
  • There is a limit of 64 shadow copies per volume that can be stored. When this limit is reached, the oldest shadow copy will be deleted and cannot be retrieved.
  • The following table lists the settings that you can configure.
    Setting Description
    Storage area

    Specifies the volume where the shadow copies are stored. The default setting is the volume that contains the source files. It is recommended that you use a separate volume on another disk to provide better performance for heavily-used file servers.

    You can only change the storage volume when there are no shadow copies present. If you need to change the storage volume for a volume that has already been enabled, you must first delete all of the shadow copies on that volume.
    Maximum size

    Specifies the maximum amount of space that will be used to store shadow copies on a particular volume. The default size is 10% of the size of the volume that contains the source files that are being shadow copied. If the shadow copies are stored on a separate volume from the source files, change this default to reflect the amount of the storage volume that you want to dedicate to shadow copies.

    The storage limit must be at least 100 megabytes (MB); with this limit, only a single shadow copy can be stored. If you set a restrictive storage limit, verify that the number of shadow copies that you have scheduled will fit within those restraints. If shadow copies are deleted prematurely due to storage limits, you may be defeating the purpose of enabling Shadow Copies of Shared Folders. Click Details to compare the amount of space used on your storage volume with the maximum storage limit.

    Schedule

    Specifies settings for creating a schedule to take shadow copies on a regular basis. Schedule shadow copies at a time of day that will work best for your users. The default schedule is 7:00 A.M. and 12:00 noon, Monday through Friday. For more information on creating a schedule for Shadow Copies of Shared Folders, see "Defining a schedule for shadow copies" in Related Topics.

Related Topics


Change the schedule for creating shadow copies

Microsoft Windows Graphic

To change the schedule for creating shadow copies

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, select All Tasks, and then click Configure Shadow Copies.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
  3. Click the volume where you want to make changes to the schedule, and then click Settings.
  4. In the Settings dialog box, click Schedule. Change the settings in the task scheduler as appropriate.

Notes

  • XOX
  • XOX
  • The default schedule is 7:00 A.M. and 12:00 noon, Monday through Friday.
  • It is recommended that you do not schedule copies to be taken more frequently than once an hour.
  • There is a limit of 64 shadow copies per volume that can be stored. When this limit is reached, the oldest shadow copy will be deleted and cannot be retrieved.

Related Topics


Delete a shadow copy

Microsoft Windows Graphic

To delete a shadow copy

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, select All Tasks, and then click Configure Shadow Copies.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
  3. In the Shadow Copies dialog box, click the shadow copy that you want to delete and click Delete Now.

Notes

  • XOX
  • XOX
  • Shadow copies are not included in backups; once they are deleted, they cannot be restored.

Related Topics


Disable Shadow Copies of Shared Folders

Microsoft Windows Graphic

To disable Shadow Copies of Shared Folders

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, select All Tasks, and then click Configure Shadow Copies.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
  3. Click the volume where you want to disable Shadow Copies of Shared Folders, and then click Disable.

Caution

  • Disabling Shadow Copies of Shared Folders will delete all existing shadow copies on the volume, as well as the scheduled task, if one exists.

Notes

  • XOX
  • XOX

Related Topics


Concepts

This section provides general background information about creating shadow copies of shared folders:

  • Shadow Copies of Shared Folders overview
  • Deploying Shadow Copies of Shared Folders


Shadow Copies of Shared Folders overview

Shadow Copies of Shared Folders provides point-in-time copies of files that are located on shared resources, such as a file server. With Shadow Copies of Shared Folders, you can view shared files and folders as they existed at points of time in the past. Accessing previous versions of your files, or shadow copies, is useful because you can:

  • Recover files that were accidentally deleted. If you accidentally delete a file, you can open a previous version and copy it to a safe location.
  • Recover from accidentally overwriting a file. If you accidentally overwrite a file, you can recover a previous version of the file.
  • Compare versions of file while working. You can use previous versions when you want to check what has changed between two versions of a file.

You can access the server portion of Shadow Copies of Shared Folders through the Shadow Copies tab of the Local Disk Properties dialog box. For more information about how to use Shadow Copies of Shared Folders, see How to.

The client software for Shadow Copies of Shared Folders is located on the server and must be deployed to client computers. You can access the client view of shadow copies through the Previous Versions tab of the Properties dialog box of the shared file or folder. For more information about how to deploy Shadow Copies of Shared Folders, see Deploying Shadow Copies of Shared Folders.

Notes

  • A new button has been added to the Shadow Copies tab for Windows Server 2003 with Service Pack 1 (SP1). You can use the Revert button to revert an entire volume back to an earlier point in time. Reverting the entire volume will undo any changes that were made to files and folders on the volume since the selected snapshot was taken. If you revert a volume, you cannot undo the action later. You should not use Revert on volumes that contain data stores like Active Directory or Exchange.
  • XOX
  • When you restore a file, the file permissions will not be changed. Permissions will remain the same as they were before the restore. When you recover a file that was accidently deleted, the file permissions will be set to the default permissions for the directory.
  • For information on enabling and using shadow copies of shared folders in a server cluster, see Using Shadow Copies of Shared Folders in a server cluster.
  • Creating shadow copies is not a replacement for creating regular backups.
  • When storage area limits are reached, the oldest shadow copy will be deleted and cannot be retrieved.
  • There is a limit of 64 shadow copies per volume that can be stored. When this limit is reached, the oldest shadow copy will be deleted and cannot be retrieved.
  • Shadow copies are read-only. You cannot edit the contents of a shadow copy.
  • You can only enable Shadow Copies of Shared Folders on a per-volume basis; that is, you cannot select specific shared folders and files on a volume to be copied or not copied.


Deploying Shadow Copies of Shared Folders

This section provides general background information about Shadow Copies of Shared Folders:

  • Determining storage options for shadow copies
  • Defining a schedule for shadow copies
  • Deploying the client software for shadow copies


Determining storage options for shadow copies

Before deploying Shadow Copies of Shared Folders, it is recommended that you create a plan that specifies where the shadow copies will be stored and what the storage limits will be.

The minimum amount of storage space that you can specify is 100 megabytes (MB). The default storage size is 10% of the source volume (the volume being copied). If the shadow copies are stored on a separate volume, change the default to reflect the space available on the storage volume instead of the source volume. Remember that when the storage limit is reached, older versions of the shadow copies will be deleted and cannot be restored.

When determining the amount of space to allocate for storing shadow copies, you must consider both the number and size of files that are being copied, as well as the frequency of changes between copies. For example, 100 files that only change monthly require less storage space than 10 files that change daily.

Remember that to change the storage volume, you must delete the shadow copies. If you delete shadow copies, you lose the existing file change history that is kept on the original storage volume. To avoid this problem, verify that the storage volume that you initially select is large enough to handle your growing business needs.

Caution

  • There is a limit of 64 shadow copies that can be stored on a volume. When this limit is reached, the oldest shadow copy is deleted and cannot be retrieved.

    For more information, see To change the settings for Shadow Copies of Shared Folders.

  • If you are using a basic disk as a storage area for shadow copies and you intend to convert the disk into a dynamic disk, it is important to take the following precaution to avoid data loss. If the disk is a non-boot volume and is a different volume from where the original files reside, you must first dismount and take offline the volume containing the original files before you convert the disk containing shadow copies to a dynamic disk. You must bring the volume containing the original files back online within 20 minutes, otherwise, you will lose the data stored in the existing shadow copies. If the shadow copies are located on a boot volume, you can convert the disk to dynamic without losing shadow copies.

    You can use the mountvol command with the /p option to dismount the volume and take it offline. You can mount the volume and bring it online using the mountvol command or the Disk Management snap-in.

Note

  • For information about enabling shadow copies in a server cluster, see To enable Shadow Copies of Shared Folders in a cluster. Do not use Cluster Administrator or cluster.exe to make changes to the settings or schedule for shadow copies of shared folders; use the shadow copies interface instead.


Defining a schedule for shadow copies

When you enable Shadow Copies of Shared Folders, a default schedule is also created. This schedule might work for your users, but it is important to consider the particular work habits of your users before defaulting to this schedule. You might want to consider the following questions:

  • Do most of your users work from 9 A.M. to 5 P.M., Monday through Friday, in a single time zone?
  • Are users spread out across time zones? Does this mean that you need more copies throughout the day to cover all of the work hours?
  • How much work time can your users afford to lose? Will the default schedule of copies twice a day (7:00 A.M. and 12:00 noon, Monday through Friday) provide adequate coverage?
  • How often can copies be taken without you needing to add additional storage?
  • How many days of history can be retained before reaching the limit of 64 shadow copies?

You might want to create an initial schedule and deploy to a small group to test whether your scheduled shadow copies stay within the storage limits you set. Also, consider polling your users to find out their work habits and when they think that a shadow copy would be beneficial. This kind of information can help you determine the best schedule for your specific users.

Note

  • It is recommended that you do not schedule copies to be taken more than once per hour.

For more information, see To change the schedule for creating shadow copies.


Deploying the client software for shadow copies

The client software for Shadow Copies of Shared Folders is installed on the server in the \\%systemroot%\system32\clients\twclient directory. You can distribute the client software in a variety of ways; consider the various options before deployment. There are several tools included in the Windows Server 2003 family, such as Group Policy, that can make deploying and maintaining the clients software easier.

  • It is recommended that you place the client software on a shared resource and send an e-mail to users about what the client does and how to install it.
    Example:

    There is a new feature called Previous Versions that is available for employees who use shared folders for corporate documents. If you work with files that are located in shared folders on your network, you may be able to access previous versions of your files. Accessing previous versions of your files is useful because you can:

    • Recover files that were accidentally deleted. If you accidentally delete a file, you can open a previous version and copy it to a safe location.
    • Recover from accidentally overwriting a file. If you accidentally overwrite a file, you can recover a previous version of the file.
    • Compare versions of file while working. You can use previous versions when you want to check what has changed between two versions of a file.

    This feature has been enabled on the following file server: \\server\sharedresource. Copies are scheduled to be taken at 7:00 A.M. and 12:00 noon, Monday through Friday. Remember that these are copies of the files that were taken at these times. If you have worked on the file, you will lose all the work you did after the copy was taken. Saving your work frequently is still the best way to ensure your work is not lost.

    To install the software for accessing previous versions on your desktop, go to: \\server\sharedresource and double-click twclient.msi.
  • Use Group Policy to assign the client to users within your network.

    For more information about deploying client software using Group Policy, see "Group Policy-Based Software Deployment" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

  • Use Systems Management Server (SMS) or another software management application to deploy the client software. For more information about using Systems Management Server to deploy the client .msi package, see Deploying Windows Installer Setup Packages with SMS 2.0 at the Microsoft Web site. (http://www.microsoft.com/)

Note

  • The client software refers to shadow copies as "previous versions"; this was done to make the concept clearer for end users.

For more information, see Accessing previous versions of shared files and folders.


Troubleshooting

This section provides problem-solving guidelines for deploying Shadow Copies of Shared Folders.

What problem are you having?

The Properties dialog box does not contain a Previous Versions tab (for example, on the shared resource or local volume). I cannot the list of previous versions that have been created.

Cause: You cannot view previous versions of files on a local shared resource. You must have a working network connection and be viewing the volume as a shared resource.

Solution: Verify that your network connection is available. Then, create a connection to the shared resource on your local computer as if it were in another location on the network. For example: To view previous versions of files in the shared folder \Documents on the local computer \\Server1, you would need to create a network connection to \\Server1\Documents and access the previous versions as if they were on a remote computer. Right-click this network connection and select Properties to see the Previous Versions tab.

The Event Log is filled with Event ID: 7001.

Cause: A volume that was scheduled for shadow copies has been removed or is unavailable. The task scheduler is attempting the task and every time the task fails, it writes an error to the event log.

Solution: Delete the scheduled task using the Task Scheduler. For more information, see To remove a scheduled task.

If you are removing a volume that is being shadow copied, delete the scheduled task before deleting the volume so the event log is not filled with errors.

Shadow copies are being deleted, but I still have plenty of storage space available.

Cause: There is an upper limit of 64 shadow copies per volume that can be stored.

Solution: Adjust the schedule for taking shadow copies to a rate which retains a long enough history of the files without reaching the limit of 64 shadow copies.

See also: Defining a schedule for shadow copies; Determining storage options for shadow copies